## org.eclipse.datatools.modelbase.sql.expressions
Interface QueryExpression

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

All Known Subinterfaces:
  QueryExpressionDefault, QueryExpressionRoot

    public interface QueryExpression

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Query Expression'. Reference: 5WD-02-Foundation-2002-12 7 Query Expression

See Also:
  `SQLExpressionsPackage.getQueryExpression()`

Method Summary
`java.lang.String` `getSQL()`
`void` `setSQL(java.lang.String sqlText)`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getSQL

    java.lang.String getSQL()

### setSQL

    void setSQL(java.lang.String sqlText)